"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.download = void 0;
const down_git_files_1 = require("down-git-files");
const download = (repoPath, filename) => __awaiter(void 0, void 0, void 0, function* () {
    const req = filename
        ? {
            user: "wesleyara",
            repo: "prettlint-config",
            branch: "main",
            path: repoPath,
            file: filename,
        }
        : {
            user: "wesleyara",
            repo: "prettlint-config",
            branch: "main",
            path: repoPath,
        };
    const file = yield (0, down_git_files_1.fileRequest)(req);
    return file;
});
exports.download = download;
