"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeQuestions = void 0;
const inquirer_1 = require("inquirer");
const makeQuestions = () => __awaiter(void 0, void 0, void 0, function* () {
    const questions = [
        {
            type: "list",
            name: "typeProject",
            message: "Is this project in Node or React?",
            choices: ["React", "Node"],
            default: "React",
        },
        {
            type: "list",
            name: "isTypeScript",
            message: "Is this project in TypeScript?",
            choices: ["Yes", "No"],
            default: "Yes",
        },
    ];
    const answers = yield (0, inquirer_1.prompt)(questions);
    return answers;
});
exports.makeQuestions = makeQuestions;
